package no.bbs.bankid.bidcserver.loaders;

/**
 * Loader which load library.
 *
 * Created by lkale on 27.10.2015.
 */
public interface Loader {

    /**
     * Load library.
     * Add all errors/infos to messages.
     *
     * @param messages where all important things are added.
     *
     * @return <code>true</code> if library was loaded, otherwise <code>false</code>.
     */
    boolean load(StringBuilder messages);
}
